### Virtual Method

# Hitaki EfwProtocol responded

#### Declaration [src]

    void
    responded (
      HitakiEfwProtocol* self,
      guint version,
      guint seqnum,
      guint category,
      guint command,
      HitakiEfwProtocolError status,
      const guint32* params,
      guint param_count
    )

#### Description [src]

Class closure for the `HitakiEfwProtocol::responded` signal.

#### Parameters

`version`

  Type: `guint`

  The version of transaction protocol.

`seqnum`

  Type: `guint`

  The sequence number of response.

`category`

  Type: `guint`

  The value of category field in the response.

`command`

  Type: `guint`

  The value of command field in the response.

`status`

  Type: `HitakiEfwProtocolError`

  The status of response.

`params`

  Type: An array of `guint32`

  The array with quadlet elements of parameters in response of Fireworks protocol.

  The length of the array is specified in the `param_count` argument.
  The data is owned by the caller of the method.

`param_count`

  Type: `guint`

  The number of elements of the array.